Name:		ltl2ba
Version:	1.1
Release:	%mkrel 4
Summary:	Fast translation from LTL formulas to Buchi automata

Group:		Sciences/Computer science
License:	GPLv2+
URL:		http://www.lsv.ens-cachan.fr/~gastin/ltl2ba/
Source0:	http://www.lsv.ens-cachan.fr/~gastin/ltl2ba/%{name}-%{version}.tar.gz
Patch0:		ltl2ba-1.1-mageia-format-security.patch

%description
Translate from Linear temporal logic (LTL) formulas to Buchi automata.
LTL is a type of formal logic that extends formal logic with
qualifiers involving time.
A Buchi automaton is the extension of a finite state automaton
to infinite inputs, and are useful for specifying behavior
of non-terminating systems (such as hardware or operating systems).
A Buchi automaton accepts an infinite input sequence if and only if
there exists a run of the automaton which visits at least one of the
final states infinitely often.

The implementation is based on the translation algorithm by Gastin and Oddoux,
presented at the CAV Conference, held in 2001, Paris, France 2001.


%prep
%setup -q
%autopatch -p0

%build
%make
iconv -f latin1 -t utf8 README > README.utf8
mv README.utf8 README

%check
# Trivial test, primarily to make sure it compiled into something executable:
./ltl2ba -f "true"

%install
mkdir -p %{buildroot}%{_bindir}
cp -p ltl2ba %{buildroot}%{_bindir}


%files
%{_bindir}/ltl2ba
%doc README LICENSE




%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.1-4.mga6
+ Revision: 947493
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-3.mga5
+ Revision: 739642
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-2.mga5
+ Revision: 682019
- Mageia 5 Mass Rebuild

* Sun Nov 17 2013 malo <malo> 1.1-1.mga4
+ Revision: 551678
- spec clean-up after import from Fedora
- add patch to fix format-security error
- imported package ltl2ba


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan  7 2012 Jerry James <loganjerry@gmail.com> - 1.1-3
- Rebuild for GCC 4.7
- Minor spec file cleanups

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Aug   5 2010 David A. Wheeler <dwheeler@dwheeler.com> 1.1-2
- Changed spelling of "Buchi" to use only ASCII characters (per Mark Rader)
- Added simple "check" section to detect inability to execute

* Fri Jul  30 2010 David A. Wheeler <dwheeler@dwheeler.com> 1.1-1
- Initial packaging

